Subject: Re: pull-request: bpf 2022-03-29

From: Jakub Kicinski <[email-masked]>
Date: Tue, 29 Mar 2022 19:02:08 -0700

On Tue, 29 Mar 2022 18:51:22 -0700 Alexei Starovoitov wrote:
> On Tue, Mar 29, 2022 at 6:41 PM Jakub Kicinski <[email-masked]> wrote:
> > On Tue, 29 Mar 2022 16:49:24 -0700 Alexei Starovoitov wrote:  
> > > Hi David, hi Jakub,
> > >
> > > The following pull-request contains BPF updates for your *net* tree.
> > >
> > > We've added 16 non-merge commits during the last 1 day(s) which contain
> > > a total of 24 files changed, 354 insertions(+), 187 deletions(-).
> > >
> > > The main changes are:
> > >
> > > 1) x86 specific bits of fprobe/rethook, from Masami and Peter.
> > >
> > > 2) ice/xsk fixes, from Maciej and Magnus.
> > >
> > > 3) Various small fixes, from Andrii, Yonghong, Geliang and others.  
> >
> > There are some new sparse warnings here that look semi-legit.
> > As in harmless but not erroneous.  
> 
> Both are new warnings and not due to these patches, right?

Erm, you're right. No idea how the build bot can generate a warning
that's present on both source and target branch :S I'll look into 
that while the my local build runs...